[Pkg-nagios-devel] nagios changelog,1.27,1.28 nagios-common.postinst,1.5,1.6

seanius@haydn.debian.org seanius@haydn.debian.org


Update of /cvsroot/pkg-nagios/nagios
In directory haydn:/org/alioth.debian.org/chroot/home/users/seanius/tmp/cvs-serv1740

Modified Files:
	changelog nagios-common.postinst 
Log Message:
fix for bug #283778.

	sean



Index: changelog
===================================================================
RCS file: /cvsroot/pkg-nagios/nagios/changelog,v
retrieving revision 1.27
retrieving revision 1.28
diff -u -d -r1.27 -r1.28
--- changelog	15 Dec 2004 14:51:06 -0000	1.27
+++ changelog	15 Dec 2004 23:17:40 -0000	1.28
@@ -4,6 +4,10 @@
     - nagios-pgsql now recommends libdbd-pg-perl, and likewise for
       nagios-mysql.  thanks to raphaŽl 'SurcouF' Bordet <surcouf@debianfr.net>
       for pointing this out with nagios-pgsql (closes: #285550).
+    - the postinst for nagios-common no longer fails if update-nagios
+      returns an error (which can be caused by nagios failing to reload)
+      thanks to Olivier Berger <olivier.berger@int-evry.fr> and
+      Petter Reinholdtsen <pere@hungry.com> (closes: #283778).
 
  -- Sean Finney <seanius@debian.org>  Wed, 15 Dec 2004 09:11:11 -0500
 

Index: nagios-common.postinst
===================================================================
RCS file: /cvsroot/pkg-nagios/nagios/nagios-common.postinst,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -d -r1.5 -r1.6
--- nagios-common.postinst	9 Dec 2004 20:00:32 -0000	1.5
+++ nagios-common.postinst	15 Dec 2004 23:17:40 -0000	1.6
@@ -193,9 +193,9 @@
      ln -s /usr/lib/nagios/plugins/check_netsaint check_nagios)
 fi
 
-# Lets run update-nagios to be sure the plugins-auto.cfg exists (good to have for
-# package upgrades. :) ).
-/usr/sbin/update-nagios
+# update the nagios plugins available, but don't freak out if it doesn't work
+/usr/sbin/update-nagios || true
+
 # Make sure the config file is readable by both nagios
 # and apache
 chown -R nagios.www-data /var/log/nagios /etc/nagios /var/run/nagios /var/cache/nagios